﻿// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.

using System.Runtime.CompilerServices;

// ReSharper disable once CheckNamespace
namespace Cake.Common
{
    /// <summary>
    /// This namespace contain types used for common operations
    /// such as parsing release notes, retrieving arguments and
    /// to read and write environment variables.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Build
{
    /// <summary>
    /// This namespace contain types that
    /// support different build system related tasks.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Build.AppVeyor
{
    /// <summary>
    /// This namespace contain types used
    /// to interact with AppVeyor.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Build.AppVeyor.Data
{
    /// <summary>
    /// This namespace contain types
    /// representing data used for interaction with AppVeyor.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Build.TeamCity
{
    /// <summary>
    /// This namespace contain types used
    /// to interact with TeamCity.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Diagnostics
{
    /// <summary>
    /// This namespace contain types that
    /// enable you to interact with build logs.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.IO
{
    /// <summary>
    /// This namespace contain types that support input and output,
    /// including the ability to read and write data to streams and to
    /// interact with the file system.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.IO.Paths
{
    /// <summary>
    /// This namespace contain types related
    /// to file system paths.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.IO.Net
{
    /// <summary>
    /// This namespace contain types related
    /// to network operations.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Net
{
    /// <summary>
    /// This namespace contain types related
    /// to security aspects such as hashing.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Solution
{
    /// <summary>
    /// This namespace contain types that
    /// support interaction with MSBuild solution files.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Solution.Project
{
    /// <summary>
    /// This namespace contain types that
    /// support interaction with MSBuild project files.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Solution.Project.Properties
{
    /// <summary>
    /// This namespace contain types that
    /// enable you to read or create assembly information files.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Solution.Project.XmlDoc
{
    /// <summary>
    /// This namespace contain types that
    /// enable you to read XML documentation comments.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Text
{
    /// <summary>
    /// This namespace contain types for
    /// text templating and transformations.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools
{
    /// <summary>
    /// This namespace contain types used to interact
    /// with different third party tools.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.Cake
{
    /// <summary>
    /// This namespace contain types used to interact with Cake.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.ILMerge
{
    /// <summary>
    /// This namespace contain types used to interact with ILMerge.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.MSBuild
{
    /// <summary>
    /// This namespace contain types used to interact with MSBuild.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.MSTest
{
    /// <summary>
    /// This namespace contain types used to interact with MSTest.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.NuGet
{
    /// <summary>
    /// This namespace contain types used to interact with NuGet.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.NuGet.Install
{
    /// <summary>
    /// This namespace contain types used to interact
    /// with the NuGet package installer.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.NuGet.Pack
{
    /// <summary>
    /// This namespace contain types used to
    /// pack NuGet packages.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.NuGet.Push
{
    /// <summary>
    /// This namespace contain types used to
    /// push NuGet packages.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.NuGet.Restore
{
    /// <summary>
    /// This namespace contain types used to
    /// restore NuGet packages.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.NuGet.SetApiKey
{
    /// <summary>
    /// This namespace contain types used to
    /// set NuGet API keys.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.NuGet.SetProxy
{
    /// <summary>
    /// This namespace contain types used to
    /// set proxy settings.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.NuGet.Sources
{
    /// <summary>
    /// This namespace contain types used to
    /// interact with NuGet sources.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.NuGet.Update
{
    /// <summary>
    /// This namespace contain types used to
    /// update NuGet packages.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.NUnit
{
    /// <summary>
    /// This namespace contain types used to interact with NUnit.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.OctopusDeploy
{
    /// <summary>
    /// This namespace contain types used
    /// to interact with Octopus Deploy.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.Roundhouse
{
    /// <summary>
    /// This namespace contain types used
    /// to interact with Roundhouse.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.SignTool
{
    /// <summary>
    /// This namespace contain types used for
    /// signing assemblies with SignTool.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.WiX
{
    /// <summary>
    /// This namespace contain types used to interact with WiX.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.XBuild
{
    /// <summary>
    /// This namespace contain types used
    /// to interact with XBuild.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.XUnit
{
    /// <summary>
    /// This namespace contain types used to interact with XUnit.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Common.Tools.Xml
{
    /// <summary>
    /// This namespace contain types used to
    /// interact with XML documents.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}