﻿// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.

using System;

namespace Cake.Common.Tools.NuGet
{
    /// <summary>
    /// NuGet MSBuild version.
    /// </summary>
    public enum NuGetMSBuildVersion
    {
        /// <summary>
        /// MSBuildVersion : <c>4</c>
        /// </summary>
        MSBuild4 = 4,

        /// <summary>
        /// MSBuildVersion : <c>12</c>
        /// </summary>
        MSBuild12 = 12,

        /// <summary>
        /// MSBuildVersion : <c>14</c>
        /// </summary>
        MSBuild14 = 14,

        /// <summary>
        /// MSBuildVersion : <c>15.1</c>
        /// </summary>
        MSBuild15_1 = 1501,

        /// <summary>
        /// MSBuildVersion : <c>15.3</c>
        /// </summary>
        MSBuild15_3 = 1503,

        /// <summary>
        /// MSBuildVersion : <c>15.4</c>
        /// </summary>
        MSBuild15_4 = 1504,

        /// <summary>
        /// MSBuildVersion : <c>15.5</c>
        /// </summary>
        MSBuild15_5 = 1505,

        /// <summary>
        /// MSBuildVersion : <c>15.6</c>
        /// </summary>
        MSBuild15_6 = 1506,

        /// <summary>
        /// MSBuildVersion : <c>15.7</c>
        /// </summary>
        MSBuild15_7 = 1507,

        /// <summary>
        /// MSBuildVersion : <c>15.8</c>
        /// </summary>
        MSBuild15_8 = 1508,

        /// <summary>
        /// MSBuildVersion : <c>15.9</c>
        /// </summary>
        MSBuild15_9 = 1509,

        /// <summary>
        /// MSBuildVersion : <c>16.0</c>
        /// </summary>
        MSBuild16_0 = 1600
    }
}