﻿// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.

using System.Runtime.CompilerServices;

// ReSharper disable once CheckNamespace
namespace Cake.Core
{
    /// <summary>
    /// The <see cref="Cake.Core"/> namespace contains fundamental classes and
    /// base classes for Cake and the Cake scripting environment.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Core.Annotations
{
    /// <summary>
    /// This namespace contain attributes used by
    /// the Cake engine and addins.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Core.Diagnostics
{
    /// <summary>
    /// This namespace contain types that
    /// enable you to implement custom logging support
    /// and interact with build logs.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Core.IO
{
    /// <summary>
    /// This namespace contain fundamental types that support
    /// input and output, including the ability to read and write data
    /// to streams and to interact with the file system.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Core.IO.Arguments
{
    /// <summary>
    /// This namespace contain types
    /// used to compose process arguments in a safe way.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Core.IO.NuGet
{
    /// <summary>
    /// This namespace contain types
    /// related to NuGet functionality.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Core.Scripting
{
    /// <summary>
    /// This namespace contain types
    /// related to script processing and execution.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Core.Scripting.Processors
{
    /// <summary>
    /// This namespace contain types
    /// related to script processing.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Core.Text
{
    /// <summary>
    /// This namespace contain types
    /// related to text processing and transformations.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}

// ReSharper disable once CheckNamespace
namespace Cake.Core.Tooling
{
    /// <summary>
    /// This namespace contain base classes
    /// and functionality related to tooling.
    /// </summary>
    [CompilerGenerated]
    internal class NamespaceDoc
    {
    }
}